/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


html, body{
    overflow-x: hidden;
}


.fit-content{
	width: fit-content;
}

/* HEADER */
.sticky-header {
    transition: background-color 0.3s ease;
}
.sticky-header.scrolled {
    background-color: #101010E6 !important; /* Fond noir au scroll */
    padding-top: 10px !important;
    padding-bottom: 10px !important;
}

.sticky-header #logo_header img {
    transition: all 0.3s ease;
}

.sticky-header.scrolled #logo_header img{
    width: 75px !important;
}

.sticky-header.scrolled #menu_icon div:first-child {
    margin-top: 25px !important;
}

.dialog-close-button svg {
    display: none; /* Cache le SVG par défaut */
}

.dialog-close-button {
    background-image: url("/wp-content/uploads/2025/03/close.svg"); /* Remplace avec ton image SVG */
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    width: 30px; /* Ajuste la taille */
    height: 30px;
}


#title_home h1 {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    gap: 20px;
}

.acf_mois {
    color: var(--red-AJA, #D41A16);
    text-align: center;
    font-family: "Rubik Dirt";
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-transform: capitalize;
}

.acf_jour {
color: var(--red-AJA, #D41A16);
text-align: center;
font-family: "Rubik Dirt";
font-size: 30px;
font-style: normal;
font-weight: 400;
line-height: 30px; /* 100% */
}

.insta_cta .elementor-button-icon .e-font-icon-svg {
    height: 20px;
    width: 20px;
}

span.style_title1, span.style_title3{
    color: #FFF;
text-align: center;
font-family: "Rubik Scribble";
font-size: 28px;
font-style: normal;
font-weight: 400;
line-height: 1.3em;
text-transform: uppercase;
-webkit-text-stroke: 1px white; /* Ajoute un contour de 1px */
position: relative;
}

span.style_title2{
color: #FFF;
text-align: center;
font-family: "Rubik Dirt";
font-size: 91px;
font-style: normal;
font-weight: 400;
line-height: 1em;
text-transform: uppercase;
position: relative;
}

span.style_title3{
font-size: 52px;
}

span.style_title4{
font-size: 24px;
-webkit-text-stroke: 1px white; /* Ajoute un contour noir de 1px */

}



/* SLICK CAROUSEL */
.carousel-events-wrapper {
    position: relative;
}

.carousel-events, .carousel-medias {
    width: 100%;
    padding-left: 180px;
}

.carousel-item {
    position: relative;
    width: 100%;
    height: 600px;
    background-size: cover;
    background-position: center;
    overflow: hidden;
    display: flex;
    align-content: end;
    padding: 20px;
    color: white;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(0deg, var( --e-global-color-secondary ) 15%, #10101000 60%);
}

.carousel-content {
    position: relative;
    z-index: 2;
    padding: 20px;
} 

.carousel-title {
    font-size: 18px;
    margin: 0;
}

.carousel-location {
    font-size: 14px;
    font-weight: 700;
    margin: 0;
}

/* Flèches de navigation */
.carousel-prev, .carousel-next {
    position: absolute;
    left: -60px; /* Décale les flèches à gauche du carousel */
    background: none;
    border: none;
    cursor: pointer;
    z-index: 10;
    transition: transform 0.3s ease;
}

button.carousel-prev, button.carousel-next{
    background-color: transparent;
    border-radius: 0; 
    position: absolute;
    left: 50px;
    bottom: 0;
    padding: 0 10px;
}

button.carousel-prev:hover, button.carousel-next:hover{
    background-color: transparent;
    transform: scale(1.2);
}

button.carousel-prev:focus, button.carousel-next:focus{
    background-color: transparent;

}

button.carousel-next{
    bottom: 50px; 
}

button.carousel-prev.slick-arrow img, button.carousel-next.slick-arrow img {
    height: 24.5px;
}



/* NEXT EVENT */
.event-year {
    width: fit-content;
    font-size: 20px;
    font-weight: 500;
    padding: 5px 10px;
    background-color: #fff;
    border-radius: 5px;
    margin-top: 28px;
}

.events-list {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.event-item {
    display: flex;
    justify-content: space-between;
    background: #101010D9;
    padding: 10px 30px;
    border-radius: 8px;
}

.event-date {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: var(--red-AJA, #D41A16);
    border-radius: 8px;
    width: 50px;
    text-align: center;
}

.event-month {
    text-align: center;
    font-family: "Rubik Dirt";
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-transform: capitalize;
}

.event-day {
    text-align: center;
    font-family: "Rubik Dirt";
    font-size: 30px;
    font-style: normal;
    font-weight: 400;
    line-height: 30px;
}

.event-info {
    display: flex;
    align-items: center;
    gap: 20px;
}

.event-title {
    font-size: 16px;
    font-weight: 700;
    text-transform: uppercase;
    margin: 0;
    color: #fff;
}

.event-location {
    display: flex;
    align-items: center;
    font-size: 16px;
    color: #fff;
}

.event-location img {
    width: 24px;
    height: 24px;
    margin-right: 5px;
}



/* history_events */

.history_events .event-item {
    display: flex;
    justify-content: space-between;
    background: transparent;
    padding: 0;
    border-radius: 0;
} 

.history_events .event-title, .history_events .event-location {
    color: #101010;
}

.history_events .event-date {
    flex-direction: row;
    width: 60px;
    gap: 5px;
}

.history_events .event-day {
    font-size: 16px;
}

.history_events .event-year {
    color: #fff;
    background-color: #101010;
}

.event-year.with-icon {
    position: relative;
}

.event-year.with-icon::before {
    content: "";
    display: block;
    width: 45px; /* Ajuste la taille */
    height: 35px;
    background-image: url('/wp-content/uploads/2025/03/plume_1.svg');
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    left: -60px;
    top: 5px;
    transform: translateY(-50%);
}




/* CAROUSEL AJA */
.carousel_aja{
    position: relative;
} 

.carousel_aja .elementor-swiper-button.elementor-swiper-button-prev {
    left: -100px !important;
    bottom: 0 !important;
    top: unset;
}

.carousel_aja .elementor-swiper-button.elementor-swiper-button-next{
    left: -100px !important;
    bottom: 50px !important;
    right: unset;
    top: unset;
}

.carousel_aja .elementor-swiper-button.elementor-swiper-button-next svg, .carousel_aja .elementor-swiper-button.elementor-swiper-button-prev svg{
    display: none; 
}
.carousel_aja .elementor-swiper-button.elementor-swiper-button-next {
content: url("/wp-content/uploads/2025/03/arrow_R_White.svg");
width: fit-content;
height: 25px;

}
.carousel_aja .elementor-swiper-button.elementor-swiper-button-prev {
    content: url("/wp-content/uploads/2025/03/arrow_L_Red.svg");
    width: fit-content;
    height: 25px;
    
    }

    .carousel_aja.black .elementor-swiper-button.elementor-swiper-button-next {
        content: url("    /wp-content/uploads/2025/04/Arrow_black.svg");
        width: fit-content;
        height: 25px;
        
        }
/* Cibler spécifiquement la flèche suivante dans le carousel avec l'ID "carousel-2" */
#photos_corporate svg path {
    stroke: #101010; /* Remplace par la couleur de ton choix */
} 


/* CAROUSELS MEDIAS */
.carousel-medias {
    display: block;
    margin: 0 auto;
    width: 100%; /* Assure-toi que le carousel prend toute la largeur disponible */
    overflow: hidden; /* Cache tout dépassement */
}

.carousel-item {
    display: inline-block;
    height: 600px; /* Hauteur fixe pour toutes les images */
    width: auto; /* Largeur automatique pour garder le ratio d'aspect des images */
    padding: 0; /* Ajouter de l'espace entre les éléments */
}

.carousel-item img {
width: auto !important;
  max-width: none !important;
      height: 100%; /* Remplit le conteneur en hauteur */
    object-fit: cover; /* Assure que l'image couvre l'élément sans déformation */
}



/* FORM */
.contact_form label {
    text-shadow:
    -1px -1px 0 black, /* Ombre en haut à gauche */
    1px -1px 0 black,  /* Ombre en haut à droite */
    -1px 1px 0 black,  /* Ombre en bas à gauche */
    1px 1px 0 black;   /* Ombre en bas à droite */
}














/* RESPONSIVE */

@media screen and (max-width: 1440px){
    .carousel-events, .carousel-medias {
        padding-left: 120px;
    }

    .carousel-item {
        height: 550px;
    }

    .carousel-title {
        font-size: 16px;
        margin: 0;
    }
    
    .carousel-location {
        font-size: 12px;
    }
}

@media screen and (max-width: 1025px){
    .carousel-events, .carousel-medias {
        padding-left: 60px;
    }

    button.carousel-prev, button.carousel-next {
    left: 15px;
}

    span.style_title2{
        font-size: 70px;
        }

        .carousel-item {
            height: 300px; /* Hauteur fixe pour toutes les images */
        }

        .event-year.with-icon::before {
    display: none;
}

.carousel-content {
    padding: 10px;
} 

.inavii-grid__overlay:nth-of-type(n+4) {
  display: none !important;
}

    }


@media screen and (max-width: 767px){

    .event-item {
        flex-direction: column;
        gap: 5px;
        padding: 10px 20px;
    }

    .event-info {
        gap: 10px;
    }

    .carousel-events, .carousel-medias {
        padding-left: 0;
    }

    .history_events .event-item {
        padding-bottom: 13px;
        border-bottom: 1px solid;
    }

    .history_events .event-item {
        flex-direction: column;
        gap: 0;
        padding: 10px 20px;
    }

    .events-list.history_events  {
        gap: 0;
    } 

    button.carousel-prev{
        left: 20px;
        bottom: -50px; 
    }
    button.carousel-next{
        left: 70px; 
        bottom: -50px;
    }

    span.style_title1{
        font-size: 20px !important;
        }


    span.style_title2{
        font-size: 50px !important;
        }


    span.style_title3{
        font-size: 35px !important;
        }

        .carousel-item {
            height: 200px; /* Hauteur fixe pour toutes les images */
        }

}